Projekt Phasen
Structure CRM project phases in VARIO Cloud via API, including creating, updating, activating, deactivating, deleting and reordering phases.
CRM Projekt-Phasen
OK
CRM Projekt-Phasen
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung
Sortierreihenfolge
aktiv
PUT /erp/crm-projects/phases/{projectPhaseId}/move/{position} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"sortOrder": 1,
"active": true
}an identifier
successful operation
CRM Projekt-Phasen
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung
Sortierreihenfolge
aktiv
Resource with given ID was not found
GET /erp/crm-projects/phases/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"sortOrder": 1,
"active": true
}an identifier
CRM Projekt-Phasen
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung
Sortierreihenfolge
aktiv
successful operation
CRM Projekt-Phasen
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung
Sortierreihenfolge
aktiv
Resource was not found
Resource was not valid to process
PUT /erp/crm-projects/phases/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90
{
"version": "text",
"info": {},
"id": "text",
"label": "text",
"description": "text",
"sortOrder": 1
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"sortOrder": 1,
"active": true
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/crm-projects/phases/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}identifier
successful operation
CRM Projekt-Phasen
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung
Sortierreihenfolge
aktiv
Resource was not found
Resource was not valid to process
PUT /erp/crm-projects/phases/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"sortOrder": 1,
"active": true
}identifier
successful operation
CRM Projekt-Phasen
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung
Sortierreihenfolge
aktiv
Resource was not found
Resource was not valid to process
PUT /erp/crm-projects/phases/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"sortOrder": 1,
"active": true
}CRM Projekt-Phasen
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung
Sortierreihenfolge
aktiv
successful operation
CRM Projekt-Phasen
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung
Sortierreihenfolge
aktiv
Resource was not valid to process
POST /erp/crm-projects/phases HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90
{
"version": "text",
"info": {},
"id": "text",
"label": "text",
"description": "text",
"sortOrder": 1
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"sortOrder": 1,
"active": true
}Last updated
Was this helpful?